TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

SequenceToElement ( seq(elt-fld^fin) Q, fld^fin E ) -> elt-fld^fin

### Description

<shortdoc> Given a sequence Q = [a_0, ... a_(n-1)] of elements of a finite field F and an extension field E of F, with the length of Q equal to the degree of E over F, construct the element x = a_0 + a_1 * w + ... + a_(n-1) * w^(n - 1) where w is the generator E.1 of E over F. </shortdoc>

### Examples

x_F := FiniteField(5); x_E := Extension(x_F, X^2+X+1); x_S := Sequence([2*x_F.1, 3*x_F.1]); SequenceToElement(x_S, x_E);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack